uniform float time;
varying vec3 vColor;

void main(void){
	float t = time / 60.0;
	float r = vColor.r + cos(t) / 2.0;
	float g = vColor.g + cos(t + PI2THIRD) / 2.0;
	float b = vColor.b + cos(t + PI2THIRD * 2.0) / 2.0;
	gl_FragColor = vec4(r, b, g, 1.0);
}
